%define majver %(echo %version | cut -d. -f1)
%define apiver 8
Name:          mutter
Version:       40.1
Release:       1mamba
Summary:       A compositing window manager based on Metacity
Group:         Graphical Desktop/Libraries/GNOME
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://live.gnome.org
Source:        https://download.gnome.org/sources/mutter/%{majver}/mutter-%{version}.tar.xz
Patch0:        mutter-3.14.1-gcc-4.9.patch
Patch1:        mutter-3.14.2-build-fix-x86.patch
Patch2:        mutter-3.16.1.1-gcc-4.9.2.patch
Patch3:        mutter-3.18.2-missing_math_header.patch
Patch4:        mutter-3.20.3-x86-longlong.patch
Patch5:        mutter-3.28.3-x86-printf-llx-type.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: gnome-desktop-devel
BuildRequires: gsettings-desktop-schemas-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrandr-devel
BuildRequires: libXtst-devel
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libcanberra-devel
BuildRequires: libdrm-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfribidi-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libglvnd-devel
BuildRequires: libgraphene-devel
BuildRequires: libgtk3-devel
BuildRequires: libgudev-devel
BuildRequires: libinput-devel
BuildRequires: libjson-glib-devel
BuildRequires: libmesa-devel
BuildRequires: libpango-devel
BuildRequires: libpipewire-devel
BuildRequires: libstartup-notification-devel
BuildRequires: libsystemd-devel
BuildRequires: libudev-devel
BuildRequires: libwacom-devel
BuildRequires: libwayland-devel
BuildRequires: libxcb-devel
BuildRequires: libxkbcommon-devel
BuildRequires: libxkbfile-devel
## AUTOBUILDREQ-END
BuildRequires: libsysprof-devel
BuildRequires: libcogl-devel >= 1.18
BuildRequires: libgnome-desktop-devel >= %{majver}
BuildRequires: upower-devel >= 0.99
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Mutter is a compositing window manager based on Metacity.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
if [ $1 -ge 1 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas
fi
:

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas
fi
:

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/mutter
%{_datadir}/applications/mutter.desktop
%{_datadir}/GConf/gsettings/mutter-schemas.convert
%{_datadir}/glib-2.0/schemas/org.gnome.mutter.wayland.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.mutter.gschema.xml
%{_datadir}/gnome-control-center/keybindings/50-mutter-*.xml
%{_udevrulesdir}/61-mutter.rules
%{_mandir}/man1/mutter.1*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libmutter-%{apiver}.so.*
%dir %{_libdir}/mutter-%{apiver}
%{_libdir}/mutter-%{apiver}/libmutter-*-%{apiver}.so.*
%dir %{_libdir}/mutter-%{apiver}/plugins
%{_libdir}/mutter-%{apiver}/plugins/libdefault.so
%{_libdir}/mutter-%{apiver}/*.typelib
%{_libdir}/mutter-%{apiver}/libmutter-*.so
%{_libexecdir}/mutter-restart-helper
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/mutter-%{apiver}
%{_includedir}/mutter-%{apiver}/*
%{_libdir}/libmutter-%{apiver}.so
%{_libdir}/mutter-%{apiver}/*.gir
%dir %{_libexecdir}/installed-tests/mutter-%{apiver}
%{_libexecdir}/installed-tests/mutter-%{apiver}/*
%dir %{_datadir}/installed-tests/mutter-%{apiver}
%{_datadir}/installed-tests/mutter-%{apiver}/*.test
%dir %{_datadir}/mutter-%{apiver}/tests
%dir %{_datadir}/mutter-%{apiver}/tests/stacking
%{_datadir}/mutter-%{apiver}/tests/stacking/*
%{_libdir}/pkgconfig/libmutter-%{apiver}.pc
%{_libdir}/pkgconfig/mutter-*%{apiver}.pc
%doc NEWS

#%files apidocs
#%defattr(-,root,root)
#%{_datadir}/gtk-doc/html/meta/*

%changelog
* Sat May 15 2021 Automatic Build System <autodist@mambasoft.it> 40.1-1mamba
- automatic version update by autodist

* Tue Apr 27 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 40.0-1mamba
- update to 40.0

* Wed Mar 17 2021 Automatic Build System <autodist@mambasoft.it> 3.38.4-1mamba
- automatic version update by autodist

* Tue Feb 16 2021 Automatic Build System <autodist@mambasoft.it> 3.38.3-1mamba
- automatic version update by autodist

* Fri Nov 13 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.38.1-1mamba
- update to 3.38.1

* Tue Sep 08 2020 Automatic Build System <autodist@mambasoft.it> 3.36.6-1mamba
- automatic version update by autodist

* Sun Aug 16 2020 Automatic Build System <autodist@mambasoft.it> 3.36.5-1mamba
- automatic version update by autodist

* Wed Jul 08 2020 Automatic Build System <autodist@mambasoft.it> 3.36.4-1mamba
- automatic version update by autodist

* Wed Jun 03 2020 Automatic Build System <autodist@mambasoft.it> 3.36.3-1mamba
- automatic version update by autodist

* Thu Apr 30 2020 Automatic Build System <autodist@mambasoft.it> 3.36.2-1mamba
- automatic version update by autodist

* Tue Mar 31 2020 Automatic Build System <autodist@mambasoft.it> 3.36.1-1mamba
- automatic version update by autodist

* Sat Mar 21 2020 Automatic Build System <autodist@mambasoft.it> 3.36.0-1mamba
- automatic version update by autodist

* Mon Feb 17 2020 Automatic Build System <autodist@mambasoft.it> 3.34.4-1mamba
- automatic version update by autodist

* Sun Jan 05 2020 Automatic Build System <autodist@mambasoft.it> 3.34.3-1mamba
- automatic version update by autodist

* Fri Dec 13 2019 Automatic Build System <autodist@mambasoft.it> 3.34.2-1mamba
- automatic version update by autodist

* Sat Nov 02 2019 Automatic Build System <autodist@mambasoft.it> 3.34.1-1mamba
- automatic version update by autodist

* Sat Jul 06 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.32.2-1mamba
- update to 3.32.2

* Wed Nov 14 2018 Automatic Build System <autodist@mambasoft.it> 3.30.2-1mamba
- automatic version update by autodist

* Tue Oct 09 2018 Automatic Build System <autodist@mambasoft.it> 3.30.1-1mamba
- automatic version update by autodist

* Sun Sep 23 2018 Automatic Build System <autodist@mambasoft.it> 3.30.0-1mamba
- automatic version update by autodist

* Sun Aug 12 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 3.28.3-1mamba
- update to 3.28.3

* Mon Aug 14 2017 Automatic Build System <autodist@mambasoft.it> 3.24.4-1mamba
- automatic version update by autodist

* Fri Mar 03 2017 Automatic Build System <autodist@mambasoft.it> 3.22.3-1mamba
- automatic version update by autodist

* Fri Nov 11 2016 Automatic Build System <autodist@mambasoft.it> 3.22.2-1mamba
- automatic version update by autodist

* Tue Oct 18 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.22.1-2mamba
- move %{_libdir}/mutter plugin libraries from -devel to lib- package

* Mon Oct 17 2016 Automatic Build System <autodist@mambasoft.it> 3.22.1-1mamba
- automatic version update by autodist

* Wed Jun 29 2016 Automatic Build System <autodist@mambasoft.it> 3.20.3-1mamba
- automatic version update by autodist

* Mon May 16 2016 Automatic Build System <autodist@mambasoft.it> 3.20.2-1mamba
- automatic version update by autodist

* Sun Mar 06 2016 Automatic Build System <autodist@mambasoft.it> 3.18.3-1mamba
- automatic version update by autodist

* Mon Nov 23 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.18.2-1mamba
- update to 3.18.2

* Thu Jul 02 2015 Automatic Build System <autodist@mambasoft.it> 3.16.3-1mamba
- automatic version update by autodist

* Fri May 15 2015 Automatic Build System <autodist@mambasoft.it> 3.16.2-1mamba
- automatic version update by autodist

* Thu Apr 30 2015 Automatic Build System <autodist@mambasoft.it> 3.16.1.1-1mamba
- automatic version update by autodist

* Thu Apr 02 2015 Automatic Build System <autodist@mambasoft.it> 3.14.4-1mamba
- automatic update by autodist

* Sun Dec 28 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.14.3-1mamba
- update to 3.14.3

* Sat Nov 22 2014 Automatic Build System <autodist@mambasoft.it> 3.14.2-1mamba
- automatic update by autodist

* Thu Oct 16 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.14.1-1mamba
- update to 3.14.1

* Wed Jun 18 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.12.2-1mamba
- update to 3.12.2

* Thu Feb 20 2014 Automatic Build System <autodist@mambasoft.it> 3.10.4-1mamba
- automatic version update by autodist

* Sun Jan 19 2014 Automatic Build System <autodist@mambasoft.it> 3.10.3-1mamba
- automatic version update by autodist

* Thu Nov 14 2013 Automatic Build System <autodist@mambasoft.it> 3.10.2-1mamba
- automatic version update by autodist

* Mon Nov 04 2013 Automatic Build System <autodist@mambasoft.it> 3.10.1.1-1mamba
- automatic version update by autodist

* Mon Aug 12 2013 Automatic Build System <autodist@mambasoft.it> 3.9.5-1mamba
- automatic update by autodist

* Mon Jun 24 2013 Automatic Build System <autodist@mambasoft.it> 3.9.3-1mamba
- automatic version update by autodist

* Wed May 29 2013 Automatic Build System <autodist@mambasoft.it> 3.9.2-1mamba
- automatic version update by autodist

* Wed May 01 2013 Automatic Build System <autodist@mambasoft.it> 3.9.1-1mamba
- automatic version update by autodist

* Tue Apr 16 2013 Automatic Build System <autodist@mambasoft.it> 3.8.1-1mamba
- automatic version update by autodist

* Wed Apr 10 2013 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Thu Feb 14 2013 Automatic Build System <autodist@mambasoft.it> 3.6.3-1mamba
- automatic version update by autodist

* Fri Nov 23 2012 Automatic Build System <autodist@mambasoft.it> 3.6.2-1mamba
- automatic version update by autodist

* Tue Oct 16 2012 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Thu Sep 27 2012 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- update to 3.6.0

* Sat Sep 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.1-2mamba
- move typelib file from libmutter-devel to libmutter package

* Sat Sep 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.1-1mamba
- package created by autospec
